Support RedHat CoreOS and Fedora CoreOS as operating systems

08/13/2019 11:27 AM - felix sperling

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Unattended installations   

Target version:    

Difficulty: easy Fixed in Releases: 3.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8042

  

Description

Hello,

in order to be able to install RedHat Coreos via PXE it is required to add RedHat Coreos as a new operating system because the

filenames on the Red Hat mirror don't fit to any existing naming conventions.

For example:

rhcos-4.1.0-x86_64-installer-initramfs.img

rhcos-4.1.0-x86_64-installer-kernel

http://mirror.openshift.com/pub/openshift-v4/dependencies/rhcos/4.1/4.1.0/

A simple example for the code would be:

app/models/operatingsystems/rhcos.rb

class Rhcos < Operatingsystem

  PXEFILES = {:kernel => 'rhcos-4.1.0-x86_64-installer-kernel', :initrd => 

'rhcos-4.1.0-x86_64-installer-initramfs.img'}

  def pxe_type

    'coreos'

  end

  def mediumpath(medium_provider)

    ''

  end

  def pxedir

    ''

  end

  def display_family

    'Rhcos'

  end

end

 app/models/operatingsystems/operatingsystem.rb

  FAMILIES = { 'Debian'    => %r{Debian|Ubuntu}i,

               'Redhat'    => %r{RedHat|Centos|Fedora|Scientific|SLC|OracleLinux}i,

               'Suse'      => %r{OpenSuSE|SLES|SLED}i,

               'Windows'   => %r{Windows}i,

               'Altlinux'  => %r{Altlinux}i,
               'Archlinux' => %r{Archlinux}i,

               'Coreos'    => %r{CoreOS}i,

               'Rhcos'     => %r{Rhcos}i,

               'Gentoo'    => %r{Gentoo}i,

               'Solaris'   => %r{Solaris}i,

               'Freebsd'   => %r{FreeBSD}i,

               'AIX'       => %r{AIX}i,

               'Junos'     => %r{Junos}i,

               'NXOS'      => %r{NX-OS}i,

               'Xenserver' => %r{XenServer}i }

Related issues:

Related to Foreman - Feature #29224: CoreOS unattended provisioning New

Related to Foreman - Feature #7652: Support CoreOS Closed 09/26/2014

Related to Foreman - Feature #31027: Add ct/fcct transpiler macro support Closed

Related to Foreman - Bug #32643: Rationalize FCOS/Flatcar/RHCoreOS operating ... New

Related to Foreman - Feature #32716: Missing tasks to allow Openshift provisi... New

Associated revisions

Revision 055489b7 - 05/20/2021 06:29 PM - Lukas Zapletal

Fixes #27604 - added Fedora|Redhat CoreOS and IM

History

#1 - 09/10/2019 01:55 PM - yifat makias

- Status changed from New to Assigned

- Assignee set to yifat makias

#2 - 11/05/2019 12:52 PM - yifat makias

- Status changed from Assigned to New

- Assignee deleted (yifat makias)

#3 - 02/28/2020 12:09 PM - Lukas Zapletal

- Related to Feature #29224: CoreOS unattended provisioning added

#4 - 10/01/2020 01:31 PM - Lukas Zapletal

For the record, Foreman Omaha plugin provies CoreOS/Flatcar provisioning capabilities:

https://github.com/theforeman/foreman_omaha

#5 - 10/01/2020 01:39 PM - Lukas Zapletal

- Related to Feature #7652: Support CoreOS added

#6 - 10/02/2020 11:46 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/8042 added

#7 - 10/08/2020 01:13 PM - Lukas Zapletal

- Related to Feature #31027: Add ct/fcct transpiler macro support added

#8 - 05/20/2021 06:19 PM - Ondřej Ezr

- Subject changed from Support RedHat Coreos as operating system in Foreman to Support RedHat CoreOS and Fedora CoreOS as operating

systems

#9 - 05/20/2021 06:21 PM - Ondřej Ezr

- Tracker changed from Bug to Feature

- Category set to Unattended installations
#10 - 05/20/2021 06:24 PM - Ondřej Ezr

- Related to Bug #32643: Rationalize FCOS/Flatcar/RHCoreOS operating system icons added

#11 - 05/20/2021 06:29 PM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#12 - 05/20/2021 07:01 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|055489b7d4ad70f753c677e3065c9fc22d56f13e.

#13 - 06/03/2021 04:40 PM - Lukas Zapletal

- Related to Feature #32716: Missing tasks to allow Openshift provisioning added
